﻿// --------------------------------------------------------------------------------------
//
// CrossMain.CS                                                    Ulrich Müller 18.07.09
//                                                                 Aspire        C#  2005
// Kleines Testprogramm für CrossRoads.DLL
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using CrossRoads40;

namespace CrossTest {
  public partial class CrossMain : Form {
    public CrossMain() {
      InitializeComponent();
    }

    private void cmdAction_Click(object sender, EventArgs e) {
      CrossRoads cr = new CrossRoads();
      uint Lampe = (int)OutM.EM1O8;
      uint Blitzer = (int)OutM.EM1O7;
      try {
        cr.OpenUSB();
        lstAusgabe.Items.Clear();
        lstAusgabe.Items.Add(cr.ActDevice);
        lstAusgabe.Items.Add("Schleifenende : ESC-Taste");
        do {
          cr.SetOutputs(Blitzer + Lampe + (uint)OutM.IF1O1 + (uint)OutM.IF1O3);
          cr.Pause(444);
          cr.SetOutputs(Lampe + (uint)OutM.IF1O4 + (uint)OutM.IF1O6);
          cr.Pause(444);
        } while (!cr.Finish());
      }
      catch (CrossRoadsException cre) {
        lstAusgabe.Items.Add(cre.Message);
      }
      cr.CloseUSB();
      this.Close();
    }
  }
}