// ----------------------------------------------------------------------------
//
// eduLine.PAS                                          Ulrich Mller  20.07.09
//                                                      PCS1700         Delphi4
// Deklarationen und Variable zu eduLine.DLL, ab Delphi2 einsetzbar
//
// ----------------------------------------------------------------------------

unit eduLine;

interface
const
  edfirst_USB              = 0;
  edROBO_Interface_USB     = 60;
  edEDU_LINE_Module        = 300;
  edEDU_LINE_CrossRoads    = 301;
  edEDU_LINE_TrafficLights = 302;
  edEDU_LINE_Signal        = 303;

  edFehler=LongInt($E0000001); edTrue=1; edFalse=0;

function edOpenUSB(ifTyp, SerialNr: LongInt): LongInt;
                                     stdcall; external 'eduLine.DLL';
function edCloseUSB(iHandle: LongInt): LongInt;
                                     stdcall; external 'eduLine.DLL';

function edGetInput(iHandle, InputNr: LongInt): LongInt;
                                     stdcall; external 'eduLine.DLL';
function edGetInputs(iHandle: LongInt): LongInt;
                                     stdcall; external 'eduLine.DLL';
function edGetVoltage(iHandle, VoltNr: LongInt): LongInt;
                                     stdcall; external 'eduLine.DLL';
function edGetOutputs(iHandle: LongInt): LongInt;
                                      stdcall; external 'eduLine.DLL';
function edSetOutputs(iHandle, MotorStatus: LongInt): LongInt;
                                      stdcall; external 'eduLine.DLL';
function edSetOutput(iHandle, LampNr, OnOff: LongInt): LongInt;
                                      stdcall; external 'eduLine.DLL';

function edGetActDeviceType(iHandle: LongInt): LongInt;
                                      stdcall; external 'eduLine.DLL';
function edGetActDeviceSerialNr(iHandle: LongInt): LongInt;
                                      stdcall; external 'eduLine.DLL';
function edGetActDeviceFirmwareNr(iHandle: LongInt): LongInt;
                                      stdcall; external 'eduLine.DLL';
implementation

end.
