import eduLine.*;
/**
 * CrossRoads mit eduLine.jar
 * Einbinden von eduLine ber Options | Preferences | Libraries
 * Gelbblinken aller Hauptampeln, Ende ESC-Taste
 * 
 * @author Ulrich Mller 
 * @version 26.12.09
 */
public class SecondCross
{
    CrossRoads cr;
    public static void main() {
        System.out.println("SecondCross gestartet, Ende : ESC-Taste");
        SecondCross fc = new SecondCross();
        fc.cr = new CrossRoads();
        try {
            fc.cr.openUSB(0,0);
            fc.Action();
            fc.cr.closeUSB();
        }
        catch(CrossRoadsException eft) {System.out.println(eft);}
        finally                        {System.out.println("FINITO");}
    }
        private void Action() {
        boolean flipFlop = false;
        while(!cr.finish()) {
            if(flipFlop) cr.setOutputs(OutM.IF1O2 + OutM.IF1O5);
            else         cr.setOutputs(OutM.EM1O2 + OutM.EM1O5);
            cr.pause(333);
            flipFlop = !flipFlop;
        }
        cr.clearOutputs();
    }
}
