// ------------------------------------------------------------------------
//
// HelloMain                                         Ulrich Mller 20.07.09
//                                                   PCS1700       Delphi 4
//
// Kleines Beispiel zur Nutzung von eduLine.DLL
//
// ------------------------------------------------------------------------

unit HelloMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  eduLine;

type
  TeduMain = class(TForm)
    lstAusgabe: TListBox;
    cmdAction: TButton;
    procedure cmdActionClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  eduMain: TeduMain;
  edu: LongInt;

implementation

{$R *.DFM}

procedure TeduMain.cmdActionClick(Sender: TObject);
var
  i: LongInt;
begin
  edu := edOpenUSB(0, 0);
  if edu = edFehler then begin
    lstAusgabe.Items.Add('Hier stimmt was nicht');
  end
  else begin
    lstAusgabe.Items.Add('Hallo eduLine');
    lstAusgabe.Items.Add('Device : ' + IntToStr(edGetActDeviceType(edu)));
    lstAusgabe.Items.Add('Start : I1 drcken');
    Application.ProcessMessages;
    while edGetInput(edu, 1) = 0 do Sleep(123);
    for i := 1 to 5 do begin
      lstAusgabe.Items.Add('Runde : ' + IntToStr(i));
      Application.ProcessMessages;
      edSetOutput(edu, 1, 1);
      Sleep(444);
      edSetOutput(edu, 1, 0);
      Sleep(333);
    end;
    edCloseUSB(edu);
    lstAusgabe.Items.Add('--- FINITO ---');
  end;
end;
end.
