// ----------------------------------------------------------------------------------------
//
// eduJava.CPP                                                       Ulrich Mller 22.07.09
//                                                                   PCS1700        VC++6.0
// Java JNI-Wrapper.DLL fr eduLine.DLL v2.09.00.01
//
// ----------------------------------------------------------------------------------------

#include <windows.h>
#include "jni.h"
#include "eduLineVC.H"
#include "eduLine_eduJava.h"

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeOpenUSB
	(JNIEnv *env, jobject obj, jint ifTyp, jint SerialNr) {
	return edOpenUSB(ifTyp, SerialNr);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeCloseUSB
	(JNIEnv *env, jobject obj, jint iHandle) {
	return edCloseUSB(iHandle);
}
JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetInput
	(JNIEnv *env, jobject obj, jint iHandle, jint InputNr) {
	return edGetInput(iHandle, InputNr);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetInputs
	(JNIEnv *env, jobject obj, jint iHandle) {
	return edGetInputs(iHandle);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetVoltage
	(JNIEnv *env, jobject obj, jint iHandle, jint VoltNr) {
	return edGetVoltage(iHandle, VoltNr);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetOutputs
	(JNIEnv *env, jobject obj, jint iHandle) {
	return edGetOutputs(iHandle);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeSetOutputs
	(JNIEnv *env, jobject obj, jint iHandle, jint MotorStatus) {
	return edSetOutputs(iHandle, MotorStatus);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeSetOutput
	(JNIEnv *env, jobject obj, jint iHandle, jint LampNr, jint OnOff) {
	return edSetOutput(iHandle, LampNr, OnOff);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetActDeviceType
	(JNIEnv *env, jobject obj, jint iHandle) {
	return edGetActDeviceType(iHandle);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetActDeviceSerialNr
	(JNIEnv *env, jobject obj, jint iHandle) {
	return edGetActDeviceSerialNr(iHandle);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_jeGetActDeviceFirmwareNr
	(JNIEnv *env, jobject obj, jint iHandle) {
	return edGetActDeviceFirmwareNr(iHandle);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_escape
	(JNIEnv *, jclass jc) {
	return GetAsyncKeyState(VK_ESCAPE);
}

JNIEXPORT jint JNICALL Java_eduLine_eduJava_getTickCount
	(JNIEnv *, jclass jc) {
	return GetTickCount();
}

JNIEXPORT void JNICALL Java_eduLine_eduJava_sleep
	(JNIEnv *, jclass jc, jint mSek) {
	Sleep(mSek);
}
